Cyberduck Mountain Duck CLI

#10562 closed enhancement (fixed)

Facilitate adding bookmarks for multiple accounts using OAuth

Reported by: aps_bario Owned by: dkocher
Priority: normal Milestone: 7.0
Component: core Version: 6.8.3
Severity: normal Keywords: Multiple Changing Accounts Failed Login
Cc: Architecture:
Platform:

Description

I have several different accounts with Google, DropBox and OneDrive because of the different roles and jobs I perform. I was hoping that CyberDuck would allow me open all these on-line accounts and manage the content between them.

However, it appears that CyberDuck can only handle one account per provider and one entered if can't be changed.

Examples:

  1. I opened a OneDrive account using my university account, and then tried to open at the same time in a different window a OneDrive account for the charity I work for, and it asked for no verification code and showed me my university account.
  1. I opened my personal DropBox Account and it gave me a verification code even though the password I had used had expired. So it opened an empty /default file view. Concerned all my files had gone I logged directly into DropBox and found the password needed updating, changed the password and viewed my files in DropBox (Phew! all still there) but CyberDuck would not refresh my Dropbox account, would not let me open any other DropBox account, it seems stuck with the original failed connection attempt.
  1. I opened my GoogleDrive account, it took several attempts (having to negotiate 2 stage login) but copying the Verification Code was a real problem, the code was wrapped in the small windows so appeared to have introduced a carriage return into the cut/pasted copy. Eventually managed to backspace and remove carriage return, but not obvious to other users that might need to be done. But then again. I could not log into any other Gmail account, it kept returning the one I had first opened, and after I restarted the app, I could not get into the first account again, what ever I tried.

I am an IT professional - heavy user of Filezilla and other FTP tools and protocols for MAc and Windows. I had high hopes for this product but am very disappointed with the way this product fails on my MacBook Pro running the latest MacOS.

Change History (9)

comment:1 Changed on Dec 27, 2018 at 9:25:02 PM by dkocher

You will need to enter a different username when creating another bookmark for the same provider that uses OAuth for authentication to trigger the authentication flow in the browser to obtain the authentication code using your other credentials to login. Otherwise, we reuse the OAuth tokens saved in the Keychain or Credential Manager.

comment:2 Changed on Jan 13, 2019 at 9:14:07 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 Changed on May 28, 2019 at 2:45:08 PM by dkocher

  • Milestone set to 7.0
  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:4 Changed on May 31, 2019 at 1:31:52 PM by dkocher

  • Summary changed from Handling Multiple Accounts to Facilitate adding bookmarks for multiple accounts using OAuth

We will fetch the username for the user on the service after authenticating with OAuth when available. This will work for Dropbox, Google Drive, Microsoft OneDrive.

comment:5 Changed on May 31, 2019 at 3:11:22 PM by dkocher

  • Owner set to dkocher
  • Status changed from reopened to new

comment:6 Changed on May 31, 2019 at 3:11:26 PM by dkocher

  • Status changed from new to assigned

comment:7 Changed on May 31, 2019 at 3:11:30 PM by dkocher

  • Type changed from defect to enhancement

comment:8 Changed on May 31, 2019 at 3:19:08 PM by dkocher

#10713 closed as duplicate.

comment:9 Changed on Jun 2, 2019 at 6:43:57 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r47166.

Note: See TracTickets for help on using tickets.
swiss made software